Bug 1254125 - [abrt] trojita: QObject::disconnect(): trojita killed by SIGSEGV
[abrt] trojita: QObject::disconnect(): trojita killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3f42f6991237496d8bb75d78957...
:
Depends On: 1266712
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 04:39 EDT by Karel Volný
Modified: 2016-07-19 13:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.75 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: core_backtrace (16.92 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: dso_list (20.97 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: environ (1.78 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: maps (97.57 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: open_fds (1.49 KB, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-08-17 04:39 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-08-17 04:39:06 EDT
Description of problem:
I've tried to send an email. It seems that trojita lost connection during the operation. After some time, I got timeout message and then it crashed.

Version-Release number of selected component:
trojita-0.5-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/trojita -session 102911f2196210000143461264700000212270016_1434959607_307830
crash_function: QObject::disconnect
executable:     /usr/bin/trojita
global_pid:     1431
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 QObject::disconnect at kernel/qobject.cpp:2936
 #2 disconnect at /usr/include/qt5/QtCore/qobject.h:359
 #3 Imap::Mailbox::Model::killParser at /usr/src/debug/trojita-0.5/src/Imap/Model/Model.cpp:1474
 #4 Imap::Mailbox::Model::handleState at /usr/src/debug/trojita-0.5/src/Imap/Model/Model.cpp:309
 #5 Imap::Mailbox::Model::responseReceived at /usr/src/debug/trojita-0.5/src/Imap/Model/Model.cpp:245
 #7 Imap::Mailbox::Model::qt_static_metacall at /usr/src/debug/trojita-0.5/build/moc_Model.cpp:322
 #8 QObject::event at kernel/qobject.cpp:1245
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3720
 #10 QApplication::notify at kernel/qapplication.cpp:3503
 #11 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:935
Comment 1 Karel Volný 2015-08-17 04:39:09 EDT
Created attachment 1063712 [details]
File: backtrace
Comment 2 Karel Volný 2015-08-17 04:39:10 EDT
Created attachment 1063713 [details]
File: cgroup
Comment 3 Karel Volný 2015-08-17 04:39:12 EDT
Created attachment 1063714 [details]
File: core_backtrace
Comment 4 Karel Volný 2015-08-17 04:39:14 EDT
Created attachment 1063715 [details]
File: dso_list
Comment 5 Karel Volný 2015-08-17 04:39:15 EDT
Created attachment 1063716 [details]
File: environ
Comment 6 Karel Volný 2015-08-17 04:39:16 EDT
Created attachment 1063717 [details]
File: limits
Comment 7 Karel Volný 2015-08-17 04:39:18 EDT
Created attachment 1063718 [details]
File: maps
Comment 8 Karel Volný 2015-08-17 04:39:19 EDT
Created attachment 1063719 [details]
File: mountinfo
Comment 9 Karel Volný 2015-08-17 04:39:20 EDT
Created attachment 1063720 [details]
File: namespaces
Comment 10 Karel Volný 2015-08-17 04:39:21 EDT
Created attachment 1063721 [details]
File: open_fds
Comment 11 Karel Volný 2015-08-17 04:39:22 EDT
Created attachment 1063722 [details]
File: proc_pid_status
Comment 12 Karel Volný 2015-08-17 04:39:23 EDT
Created attachment 1063723 [details]
File: var_log_messages
Comment 13 Raphael Groner 2015-08-17 07:23:59 EDT
This looks like a strange bug in QtCore.
Comment 14 Raphael Groner 2015-09-26 16:09:41 EDT
FTBFS in rawhide. I've to fix that first.
Comment 15 Fedora End Of Life 2016-07-19 13:31:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.